<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
set_time_limit(0);
//Impide que la p�gina sea vista desde el navegador.
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
$coordinacion=$_GET['coordinacion'];
$id_periodo=$_GET['id_periodo'];
$sede=$_GET['sede'];
$corte=$_GET['corte'];


mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Datos del Periodo
$sql1 = "SELECT codigo, tipo FROM periodos where id_periodo='$id_periodo'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$codigo_periodo= $row1['codigo'].' ('.$row1['tipo'].')';

if($sede!=0){
   // Datos de la Sede
   $sql2 = "SELECT codigo, nombre_sede FROM sedes WHERE codigo='$sede'";
   $rs2 = mysql_query($sql2, $cn) or die(mysql_error());
   $row2 = mysql_fetch_assoc($rs2);
   $nombre_sede=$row2['nombre_sede'];
 }
 else{
   $nombre_sede='TODAS';
 }    

//Datos de la Carga Académica del Docente
if($sede==0){
$query_carga = "Select
docentes.cedula,
docentes.apellidos,
docentes.nombres,
docentes.dpto_adscripcion,
sedes.nombre_sede,
carreras.nombre_carrera,
materias.nombre_materia,
materias.ths,
materias.semestre,
oferta_academica.id_seccion,
oferta_academica.mencion,
oferta_academica.id_materia
From
oferta_academica
Inner Join carreras ON oferta_academica.id_carrera = carreras.id_carrera
Inner Join materias ON (oferta_academica.id_materia = materias.id_materia and  oferta_academica.id_carrera = materias.id_carrera)
Inner Join docentes ON oferta_academica.id_profesor = docentes.id_docente
Inner Join sedes ON oferta_academica.sede = sedes.codigo
WHERE
oferta_academica.id_periodo='$id_periodo' and id_profesor>0";
}
else{
$query_carga = "Select
docentes.cedula,
docentes.apellidos,
docentes.nombres,
docentes.dpto_adscripcion,
sedes.nombre_sede,
carreras.nombre_carrera,
materias.nombre_materia,
materias.ths,
materias.semestre,
oferta_academica.id_seccion,
oferta_academica.mencion,
oferta_academica.id_materia
From
oferta_academica
Inner Join carreras ON oferta_academica.id_carrera = carreras.id_carrera
Inner Join materias ON (oferta_academica.id_materia = materias.id_materia and  oferta_academica.id_carrera = materias.id_carrera)
Inner Join docentes ON oferta_academica.id_profesor = docentes.id_docente
Inner Join sedes ON oferta_academica.sede = sedes.codigo
WHERE
oferta_academica.sede='$sede' AND oferta_academica.id_periodo='$id_periodo' and oferta_academica.id_profesor>0";

}
if($coordinacion!="0") $query_carga=$query_carga." AND docentes.dpto_adscripcion='$coordinacion'";

$query_carga=$query_carga." ORDER BY docentes.apellidos,docentes.nombres, oferta_academica.mencion,materias.semestre,oferta_academica.id_seccion";

$rst_carga = mysql_query($query_carga, $cn) or die(mysql_error());
$rst_carga_aux = mysql_query($query_carga, $cn) or die(mysql_error());
//$row = mysql_fetch_assoc($rstCarga);
$total_rows_carga = mysql_num_rows($rst_carga);


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(600,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."DOCENTES POR CARGAR CALIFICACIONES".'</b>'),14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'.utf8_decode("LAPSO: ").'</b>'.$codigo_periodo.'<b>'.utf8_decode("     CORTE: ").'</b>'.$corte,10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."SEDE: ".'</b>'.$nombre_sede);
$pdf->addText(480,645,9,"Fecha: ".date("d/m/Y"));
$pdf->ezsetdy(-5);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,2,2.5,2);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
if($sede==0){
   $cols = array('nro'=>'<b>'.utf8_decode('N°').'</b>',
              'cedula'=>'<b>'.utf8_decode('CÉDULA').'  '.'</b>', 
	  		  'docente'=>'<b>'.'DOCENTE'.'</b>', 
			  'adscripcion'=>'<b>'.utf8_decode('ADSCRIPCIÓN').'</b>', 
              'sede'=>'<b>'.'SEDE'.'</b>',
			  'semestre'=>'<b>'.utf8_decode('SEM.').'</b>',
			  'seccion'=>'<b>'.utf8_decode('SECC.').'</b>',
			  'mencion'=>'<b>'.utf8_decode('MENCIÓN').'  '.'</b>', 
			  'materia'=>'<b>'.'UNIDAD CURRICULAR'.'</b>');
}
else{
$cols = array('nro'=>'<b>'.utf8_decode('N°').'</b>',
              'cedula'=>'<b>'.utf8_decode('CÉDULA').'  '.'</b>', 
	  		  'docente'=>'<b>'.'DOCENTE'.'</b>', 
			  'adscripcion'=>'<b>'.utf8_decode('ADSCRIPCIÓN').'</b>', 
			  'semestre'=>'<b>'.utf8_decode('SEM.').'</b>',
			  'seccion'=>'<b>'.utf8_decode('SECC.').'</b>',
			  'mencion'=>'<b>'.utf8_decode('MENCIÓN').'  '.'</b>', 
			  'materia'=>'<b>'.'UNIDAD CURRICULAR'.'</b>');
}
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
$sw=false;

if ($total_rows_carga==0) {
    $sw=false;
}
else {
    $sw=true;
}
$cedula_aux="";
while ($row = mysql_fetch_row($rst_carga)) 
{
    if($sede==0)$nombre_sede=$row[4];
   
	$cedula     = $row[0];              // Cédula del docente.
    $facilitador= $row[1].', '.$row[2]; // Apellidos y nombres del docente.
	$adscripcion= $row[3];              // Unidad de Adscripción del docente.
    $mencion    = $row[10];             // Código de la mención de la materia.
	$id_materia = $row[11];             // Código de la materia.
	$materia    = $row[6];              // Nombre de la la Materia.
	$ths        = $row[7];              // Horas semanales de la materia. 
	$semestre   = $row[8];              // Semestre de la materia.
	$seccion    = $row[9];              // Sección de la materia.
   
    $sql_inscritos = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$id_materia' and id_periodo='$id_periodo'";
    $res_inscritos = mysql_query($sql_inscritos, $cn) or die(mysql_error());
    $inscritos = mysql_num_rows($res_inscritos);
   
    $sql_carga = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$id_materia' and id_periodo='$id_periodo' ";
	if($corte=="1") $sql_carga=$sql_carga." and corte_1<>0";
	if($corte=="2") $sql_carga=$sql_carga." and corte_2<>0";
	if($corte=="3") $sql_carga=$sql_carga." and corte_3<>0";
	if($corte=="4") $sql_carga=$sql_carga." and corte_4<>0";
    $res_carga = mysql_query($sql_carga, $cn) or die(mysql_error());
    $cargados = mysql_num_rows($res_carga);
   
    $porcentaje_carga=0;
    if($inscritos>0) $porcentaje_carga=($cargados*100)/$inscritos;
       
	if($porcentaje_carga<=25){
	   if($cedula!=$cedula_aux){
	      $smc = $smc + 1;  // Inicializa contador de profesores.  
	      if($sede==0){  
             $data[] = array('nro'=>$smc,
	                'cedula'=>$cedula,
	                'docente'=>utf8_decode(mb_convert_case($facilitador,MB_CASE_TITLE,"UTF-8")),
					'adscripcion'=>utf8_decode(mb_convert_case($adscripcion,MB_CASE_TITLE,"UTF-8")), 
                    'sede'=>mb_convert_case($nombre_sede,MB_CASE_TITLE,"UTF-8"), 
					'semestre'=>$semestre, 
					'seccion'=>$seccion,
					'mencion'=>$mencion, 
					'materia'=>utf8_decode(mb_convert_case($materia,MB_CASE_TITLE,"UTF-8")));
	      }
	      else{
		     $data[] = array('nro'=>$smc,
		            'cedula'=>$cedula,
	                'docente'=>utf8_decode(mb_convert_case($facilitador,MB_CASE_TITLE,"UTF-8")),
					'adscripcion'=>utf8_decode(mb_convert_case($adscripcion,MB_CASE_TITLE,"UTF-8")), 
                    'semestre'=>$semestre, 
					'seccion'=>$seccion,
                    'mencion'=>$mencion, 
					'materia'=>utf8_decode(mb_convert_case($materia,MB_CASE_TITLE,"UTF-8")));
	       }  // Fin del id(sede==0)
	   }
	   else{
	       if($sede==0){  
             $data[] = array('nro'=>"",
	                'cedula'=>"",
	                'docente'=>"",
					'adscripcion'=>"", 
                    'sede'=>mb_convert_case($nombre_sede,MB_CASE_TITLE,"UTF-8"), 
					'semestre'=>$semestre, 
					'seccion'=>$seccion,
					'mencion'=>$mencion, 
					'materia'=>utf8_decode(mb_convert_case($materia,MB_CASE_TITLE,"UTF-8")));
	      }
	      else{
		     $data[] = array('nro'=>"",
		            'cedula'=>"",
	                'docente'=>"",
					'adscripcion'=>"", 
                    'semestre'=>$semestre, 
					'seccion'=>$seccion,
                    'mencion'=>$mencion, 
					'materia'=>utf8_decode(mb_convert_case($materia,MB_CASE_TITLE,"UTF-8")));
	       }  // Fin del id(sede==0)  
	   }
	   $cedula_aux=$cedula;
	}
	// $cedula_aux=$cedula;
} 
if($sede==0){					
$pdf->ezTable($data,$cols,'',array('width'=>'560','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'right')
             ,'cedula'=>array('justification'=>'right') 
			 ,'docente'=>array('justification'=>'left') 
             ,'adscripcion'=>array('justification'=>'left')
			 ,'sede'=>array('justification'=>'left') 
             ,'semestre'=>array('justification'=>'center')
			 ,'seccion'=>array('justification'=>'center')
			 ,'mencion'=>array('justification'=>'center')
			 ,'materia'=>array('justification'=>'left'))));
}
else{
$pdf->ezTable($data,$cols,'',array('width'=>'560','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'right')
             ,'cedula'=>array('justification'=>'right') 
			 ,'docente'=>array('justification'=>'left') 
             ,'adscripcion'=>array('justification'=>'left') 
			 ,'semestre'=>array('justification'=>'center')
			 ,'seccion'=>array('justification'=>'center')
			 ,'mencion'=>array('justification'=>'left')
			 ,'materia'=>array('justification'=>'left'))));
 } 


if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 